Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003024Zandronum[All Projects] Bugpublic2017-02-26 03:382017-03-08 05:12
Reporterjdagenet 
Assigned ToTorr Samaho 
PriorityimmediateSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version10
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0003024: Latest Zandronum 3.0 build breaks mod
DescriptionThe latest Zandronum 3.0 build (170205-2117) breaks the All Out War : Zeta mod when played online.

Problems such as ejecting from an Orca causes an infinite sound loop, the console will randomly be flooded with ACS checks, the War Factor Mech Purchase Menu will never go away, and the Tortoise's Chaingun firing sound will play in a loop infinitely.

The previous build of 3.0 (161030-2038) did not introduce any of these issues when played online.
Steps To ReproduceDownload this mod:http://allfearthesentinel.net/download?file=aow_2.2.1.1.pk3 [^]

Host an online server using build 170205-2117 and the mod above

Execute the said actions.

Rehost the mod using build 161030-2038 and try executing the said problems again. None of them are reproducible.
Additional InformationThe said issues do not happen offline.

We haven't found an exact trigger for the console flooding, but it's most definitely linked to ACS and build 170205-2117 since we haven't gotten it to trigger in build 161030-2038.

We also ruled out any possibility of it being tied to the client in some way by clearing our .INI's.
Attached Files

- Relationships
has duplicate 0003029resolvedTorr Samaho Online, moprhing spawns a corpse of original playerclass 

-  Notes
User avatar (0016896)
Ivan (reporter)
2017-02-26 11:01

Orca and Tortoise things seem to be mod errors. Normally, looping sounds called from A_PlaySound require the loop to be terminated once done, and they are at the end of the weapon frames. However, when you spectate or something unpredictable happens, the loop will continue because the weapon's trigger to stop the sound won't be reached. In this situation, I think giving the players a CustomInventory to stop the sound might help, but that won't solve the spectator problem probably.

The WF thing seems highly likely to be related to the alt fire dismiss option. Just play a blank hudmessage when a mech purchase is complete, and that fixes that problem.
User avatar (0016901)
Edward-san (developer)
2017-02-26 13:25

Could you provide a reduced example wad?
User avatar (0016903)
Torr Samaho (administrator)
2017-02-26 15:33

In addition to the minimal example wad, can you post the messages flooding your console say?
User avatar (0016909)
Catastrophe (reporter)
2017-02-26 20:06

The debug messages are from the mod itself. What's odd is that the messages are being triggered in the latest build and not in the 161030 build.
User avatar (0016910)
jdagenet (reporter)
2017-02-26 21:58

From what I recall, the messages were along the lines of: "TID: 0 WHAT: 0 TEAM: 0". Whether this be a debug feature or not, I've never seen this happen before in 161030 as Cata mentioned.

I've been testing various scenarios and I've boiled it down to actor morphing since the problem does not happen on a normal player definition in either build.
What's even stranger is that when the player unmorphs he leaves behind an invisible actor and this is where the sound is originating from. When tested with build 161030, the player does not leave behind this invisible actor.

It's going to be somewhat difficult to provide a WAD since there's the possibility of leaving out crucial factors and definitions in reproducing this.
User avatar (0016911)
Torr Samaho (administrator)
2017-02-26 22:46

Quote from jdagenet
It's going to be somewhat difficult to provide a WAD since there's the possibility of leaving out crucial factors and definitions in reproducing this.

To get started, just remove as much from mod as you can before the problem stops.
User avatar (0016912)
jdagenet (reporter)
2017-02-27 00:31

Here you go:https://www.sendspace.com/file/swejz0 [^]

Knocked off about 50Mb, hopefully this will do.
User avatar (0016913)
Torr Samaho (administrator)
2017-02-27 09:00

That's still massive (the problem is not the file size but the amount of ACS and DECORATE code), but I'll have a look. Please post a step-by-step description on how to reproduce the problem.
User avatar (0016917)
jdagenet (reporter)
2017-02-27 18:21

Host a teamgame server using the PK3 I linked and the latest build of Zandronum 3.0 (170205-2117) and make sure the server is on map AOW01.

Be sure to change the CVar "Zeta_CredFlow" to 999 (this is so you don't have to wait to buy anything).

Once you join the game (either team will work), press your use key on one of the Purchase Terminals to bring up the Class Purchase Menu and press your primary fire key until you purchase the class "Gunman".

Navigate to this building:http://i.imgur.com/boN7n8Y.jpg. [^]

Go inside the building and locate this terminal:http://i.imgur.com/yiPJqZh.jpg. [^]

Press use on this terminal to bring up the Mech Purchase Menu and press your use key to purchase the Orca.
Note that after purchasing the mech the menu will forever stay on your screen. This is also an issue that only happens when the mod is hosted online using 170205.

Once you are able to leave the mech hanger, fly around and press your inventory use key to eject from the mech.

You'll then notice that the flying sound never stopped and it is originating from the point you ejected from.

If you repeat these steps offline the problems are not reproducable.
User avatar (0016918)
Ru5tK1ng (updater)
2017-02-28 07:20

After bisecting for a bit, I found out the issues regarding the menu and the infinite sound playing started with this. I also discovered another bug with the Orca Eject not spawning debris actors online (works perfect offline), but I'll post in a separate ticket once I get more info.
User avatar (0016920)
Torr Samaho (administrator)
2017-02-28 19:05

Thanks a lot for bisecting this! Looking at the changeset that introduced the issue, I have an idea what could be going wrong. Can you check if this works any better (binary completely untested so far)?
User avatar (0016921)
jdagenet (reporter)
2017-02-28 22:22

Seems whatever you did in that build, Torr, it fixed the sound and menu issue so that's good news.
User avatar (0016935)
Torr Samaho (administrator)
2017-03-05 16:58

Thanks for checking. I added the fix to the repository. Can somebody check that this didn't break 2941 /https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/174/sv_survival_nomapresetondeath-zadmflag [^] ?
User avatar (0016950)
Ru5tK1ng (updater)
2017-03-06 05:38

With r170305, the sounds and morphing seem good but the menu bug still persists somehow.
User avatar (0016952)
Torr Samaho (administrator)
2017-03-06 07:02

The menu bug was not present in 161030-2038? Any chance of a minimal example wad? If not, can somebody make a clientside demo of the issue?
User avatar (0016963)
Ru5tK1ng (updater)
2017-03-08 05:12

After some more testing it seems the menu bug is an issue of the mod and not Zandronum. I encountered the bug with 2.1.2 as well (it happens randomly) and there were no issues with another server test I did today. Since the morphing issue is resolved, I'll mark this as so.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-02-26 03:38 jdagenet New Issue
2017-02-26 11:01 Ivan Note Added: 0016896
2017-02-26 13:25 Edward-san Note Added: 0016901
2017-02-26 13:25 Edward-san Status new => feedback
2017-02-26 15:33 Torr Samaho Note Added: 0016903
2017-02-26 20:06 Catastrophe Note Added: 0016909
2017-02-26 21:58 jdagenet Note Added: 0016910
2017-02-26 21:58 jdagenet Status feedback => new
2017-02-26 22:46 Torr Samaho Note Added: 0016911
2017-02-27 00:31 jdagenet Note Added: 0016912
2017-02-27 09:00 Torr Samaho Note Added: 0016913
2017-02-27 18:21 jdagenet Note Added: 0016917
2017-02-28 07:20 Ru5tK1ng Note Added: 0016918
2017-02-28 19:05 Torr Samaho Note Added: 0016920
2017-02-28 19:05 Torr Samaho Assigned To => Torr Samaho
2017-02-28 19:05 Torr Samaho Status new => feedback
2017-02-28 22:22 jdagenet Note Added: 0016921
2017-02-28 22:22 jdagenet Status feedback => assigned
2017-03-05 15:28 Torr Samaho Relationship added has duplicate 0003029
2017-03-05 16:58 Torr Samaho Note Added: 0016935
2017-03-05 16:59 Torr Samaho Status assigned => needs testing
2017-03-05 16:59 Torr Samaho Target Version => 3.0
2017-03-06 05:38 Ru5tK1ng Note Added: 0016950
2017-03-06 07:02 Torr Samaho Note Added: 0016952
2017-03-08 05:12 Ru5tK1ng Note Added: 0016963
2017-03-08 05:12 Ru5tK1ng Status needs testing => resolved
2017-03-08 05:12 Ru5tK1ng Resolution open => fixed
2017-03-08 05:12 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker